## com.bbn.openmap.geo
Class RadialRegion

    java.lang.Object
      com.bbn.openmap.geo.BoundingCircle.Impl
          com.bbn.openmap.geo.RadialRegion

All Implemented Interfaces:
  BoundingCircle, GeoExtent

public class RadialRegion
extends BoundingCircle.Impl
implements GeoExtent

Nested Class Summary

Nested classes inherited from class com.bbn.openmap.geo.BoundingCircle
`BoundingCircle.Impl`

Field Summary
`protected java.lang.Object` `id`

Constructor Summary
`RadialRegion(Geo[] region)`
`RadialRegion(Geo center, double radius)`

Method Summary
`BoundingCircle` `getBoundingCircle()` compute a point and radius around the extent.
`java.lang.Object` `getID()` return an object that this extent represents.
`void` `setID(java.lang.Object id)`

Methods inherited from class com.bbn.openmap.geo.BoundingCircle.Impl
`getCenter, getRadius, init, init, init, intersects, intersects, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    protected java.lang.Object id

Constructor Detail

### RadialRegion

    public RadialRegion(Geo center,
                        double radius)

### RadialRegion

    public RadialRegion(Geo[] region)

Method Detail

### getBoundingCircle

    public BoundingCircle getBoundingCircle()

  Description copied from interface: `GeoExtent`
  compute a point and radius around the extent.

  Specified by:
    `getBoundingCircle` in interface `GeoExtent`

### getID

    public java.lang.Object getID()

  Description copied from interface: `GeoExtent`
  return an object that this extent represents.

  Specified by:
    `getID` in interface `GeoExtent`

### setID

    public void setID(java.lang.Object id)

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details